import { ActualProvider, Factory } from '../types';
import { ILifetime } from './ILifetime';
export declare class Scoped<T, E> implements ILifetime<T, E> {
    readonly name: string;
    readonly factory: Factory<T, E>;
    constructor(name: string, factory: Factory<T, E>);
    provide(provider: ActualProvider<E>): any;
}
