import { Container } from './Container';
import { NameSelector, ProviderContext, ProviderCreator, ProviderValidation } from './types';
export declare class InternalProvider<E> {
    readonly _: {
        container: Container<E>;
        create: ProviderCreator<E>;
        validation: ProviderValidation<E>;
        context: ProviderContext<E>;
    };
    constructor(container: Container<E>, create: ProviderCreator<E>, validation: ProviderValidation<E>, context: ProviderContext<E>);
    get<T>(nameSelector: NameSelector<T, E>): unknown;
    validate(): void;
}
